Package be.ehealth.technicalconnector.service.sts.impl

# Class STSServiceWsTrustImpl

java.lang.Object
be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService
be.ehealth.technicalconnector.service.sts.impl.STSServiceWsTrustImpl

All Implemented Interfaces:
  `STSService`

public class STSServiceWsTrustImpl extends AbstractSTSService implements STSService
The eHealth-platform Secure Token Service provides a web service interface to request a SAML Assertion token using the Request Secure Token operation. The service provided via this technical connector allows the invocation of this operation based on specific input parameters. Based on these parameters, a signed SAML request is created and sent to the eHealth-platform service.

Extends: `AbstractSTSService` => Implements : `STSService`

- ## Field Summary

  ### Fields inherited from class be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService

  `HOK_METHOD, SV_METHOD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `STSServiceWsTrustImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element`
  `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, Duration validity)`
  `Element`
  `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, Duration validity)`
  `Element`
  `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, Duration validity)`

  ### Methods inherited from class be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService

  `getToken, getToken, renewToken`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.STSService

  `getToken, getToken, renewToken`

- ## Constructor Details

  - ### STSServiceWsTrustImpl

    public STSServiceWsTrustImpl()

- ## Method Details

  - ### getToken

    public Element getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, Duration validity) throws TechnicalConnectorException
    Specified by:
      `getToken` in interface `STSService`
    Throws:
      `TechnicalConnectorException`

  - ### getToken

    public Element getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, Duration validity) throws TechnicalConnectorException
    Specified by:
      `getToken` in interface `STSService`
    Throws:
      `TechnicalConnectorException`

  - ### renewToken

    public Element renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, Duration validity) throws TechnicalConnectorException
    Specified by:
      `renewToken` in interface `STSService`
    Throws:
      `TechnicalConnectorException`
    See Also:
      - invalid reference

            be.ehealth.technicalconnector.service.sts.STSService#renewToken(be.ehealth.technicalconnector.service.sts.security.Credential, be.ehealth.technicalconnector.service.sts.security.Credential, org.w3c.dom.Element, java.lang.String)